PLEASE NOTE: These forums are no longer utilized and are provided as an archive for informational purposes only. All support issues will be handled via email using our support ticket system. For more detailed information on this change, please see this blog post.

Note: Cart66 breaks Gravity Forms 1.5

  1. Just an FYI - I updated to Gravity Forms 1.5 the other day with no problem. I've got pretty straight-forward forms on my sites.

    Yesterday, I installed the Lite version of Cart66 onto one of my sites just to check it out prior to purchase. As it turns out, Cart66 does not work with Gravity Forms 1.5. After a visitor submits a regular Gravity form, the e-mail does get sent along, but the visitor gets the following error:

    Fatal error: Class 'Cart66GravityReader' not found in /home/radiovic/public_html/wp-content/plugins/cart66-lite/models/Cart66ShortcodeManager.php on line 461

    This has resulted in a dozen visitors sending duplicate e-mails to us through the form since they figured the send failed.

    Let me make this clear, all I did was install and activate Cart66 and create one product. I DID NOT do anything to create a form in Gravity tied to Cart66.

    There is no support at all for Cart66 Lite - and I can not find an active user community out there. I asked Cart66 if there was an active user community for the Lite version other than the WordPress plug in page, and did not get an answer. They did tell me however "just so you know, Cart66 does not work with Gravity Forms 1.5. This may be the issue".

    So if you're running Cart66 and a previous version of Gravity, don't upgrade Gravity to 1.5.

    Posted 11 years ago on Saturday March 26, 2011 | Permalink
  2. H B
    Member

    Cart66 Lite was not built with Gravity Forms integration. See here: http://cart66.com/features/ You have to upgrade to get that feature.

    Posted 11 years ago on Saturday March 26, 2011 | Permalink
  3. @HB - I completely understand that. I'm not trying to integrate the two at all, rather just use the Cart66 Lite version and Gravity Forms 1.5 separately.

    Or do you mean that if you want to use Cart66 Lite, you can not use Gravity Forms at all?

    Posted 11 years ago on Saturday March 26, 2011 | Permalink
  4. H B
    Member

    Ahh... Sorry - didn't realize you weren't trying to integrate the two. However, Cart66 released a new version a couple of weeks ago and since GF 1.5 just came out I guess Cart66 just hasn't had time to update for GF 1.5. I haven't upgraded either GF or Cart66 as I have a couple of sites currently in the middle of a registration system and I don't want anything to blow up on me :). I checked the Cart66 forums just to see if anyone has reported anything and there was nothing yet. Sorry I can't be of more help.

    it doesn't make sense that you shouldn't be able to run the two separately, though. Strange.

    Posted 11 years ago on Sunday March 27, 2011 | Permalink
  5. I will see if I can replicate this issue on my end. If I can, i'll get in touch with Lee over at Cart66 and make him aware there is an issue with Cart66 Lite.

    If I can't replicate it i'll probably be in touch for additional information before I can go to Lee with the issue.

    Posted 11 years ago on Sunday March 27, 2011 | Permalink
  6. I just talked to Lee, he's looking into the issue and will get it resolved via a Cart66 Lite update.

    Posted 11 years ago on Monday March 28, 2011 | Permalink
  7. Lee, the Cart66 lead developer, has updated Cart66 Lite so it is Gravity Forms v1.5 compatible as far as them being able to both be active and function at the same time. So when you see a Cart66 Lite update popup in your WordPress Dashboard, be sure to update.

    Posted 11 years ago on Monday March 28, 2011 | Permalink
  8. Yup. Confirmed. I updated Cart66 this morning and activated the plug in. It no longer causes the class error.

    Steve

    Posted 11 years ago on Tuesday March 29, 2011 | Permalink
  9. Great! Glad we were able to get it resolved quickly with the guys at Cart66.

    Posted 11 years ago on Tuesday March 29, 2011 | Permalink

This topic has been resolved and has been closed to new replies.